cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

Community Tip - Help us improve the PTC Community by taking this short Community Survey! X

Custom widget extension import error

MM_10109894
5-Regular Member

Custom widget extension import error

Hello all,

 

I'm trying to create a Custom Widget using Eclipse IDE. I have created a sample Widget extension without any changes.

 

While importing to Thingworx 9.3 version getting below error.

 

MM_10109894_0-1648611795946.png

 

So What is HA Compatible extrension error.

1 ACCEPTED SOLUTION

Accepted Solutions
Mukul
13-Aquamarine
(To:MM_10109894)

Since ThingWorx 9.x active-active HA was introduced and there were some changes in life cycle API with respect to custom code. You need to incorporate those changes to make it compatible with HA.  See these article for more information - https://www.ptc.com/en/support/article/CS326793
https://support.ptc.com/help/thingworx/platform/r9/en/index.html#page/ThingWorx/Help/Installation/Installation/migratingextensions.html

View solution in original post

1 REPLY 1
Mukul
13-Aquamarine
(To:MM_10109894)

Since ThingWorx 9.x active-active HA was introduced and there were some changes in life cycle API with respect to custom code. You need to incorporate those changes to make it compatible with HA.  See these article for more information - https://www.ptc.com/en/support/article/CS326793
https://support.ptc.com/help/thingworx/platform/r9/en/index.html#page/ThingWorx/Help/Installation/Installation/migratingextensions.html

Top Tags